Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.plugins
[Java] Class JavaLanguagePlugin

    java.lang.Object
      org.gradle.api.plugins.JavaLanguagePlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class JavaLanguagePlugin

Plugin for compiling Java code. Applies the JvmLanguagePlugin. Adds a JavaCompile task for each JavaSourceSet added to a ClassDirectoryBinary. Registers the JavaSourceSet element type for each FunctionalSourceSet added to ProjectSourceSet.

Constructor Summary
`JavaLanguagePlugin(Instantiator instantiator, FileResolver fileResolver)`

Method Summary
`void` | `apply(Project target)`
`void` | `configureCompileTask(AbstractCompile compile, JavaSourceSet sourceSet, ClassDirectoryBinary binary)` Preconfigures the specified compile task based on the specified source set and class directory binary.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### JavaLanguagePlugin

    @Inject
    public JavaLanguagePlugin(Instantiator instantiator, FileResolver fileResolver)

Method Detail

### apply

    public void apply(Project target)

### configureCompileTask

    public void configureCompileTask(AbstractCompile compile, JavaSourceSet sourceSet, ClassDirectoryBinary binary)

  Preconfigures the specified compile task based on the specified source set and class directory binary.
  Parameters:
    `compile` - the compile task to be preconfigured
    `sourceSet` - the source set for the compile task
    `binary` - the binary for the compile task

Gradle API 1.10